Page MenuHomeFreeBSD

Provide more details for new committers on Bugzilla account merging
ClosedPublic

Authored by gonzo on Oct 29 2017, 8:55 PM.

Details

Summary

Update Bugzilla section of new committer's guide with
more detailed description of Bugzilla account merging and add
reference to Kerberos password generation/change. Based on emails
bugmeister@ team receives these items are the most common sources of
confusion for new FeeBSD committers when it comes to bugtracker.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gonzo created this revision.Oct 29 2017, 8:55 PM
gonzo added a subscriber: bugmeister.
eadler accepted this revision as: eadler.Oct 29 2017, 9:07 PM
eadler added a subscriber: eadler.

LGTM overall but please address comments.

en_US.ISO8859-1/articles/committers-guide/article.xml
2995 ↗(On Diff #34439)

This seems like a mis-use of the entity. Do we not have a &website; or the like entity?

2999 ↗(On Diff #34439)

ditto

This revision is now accepted and ready to land.Oct 29 2017, 9:07 PM
mat requested changes to this revision.Oct 30 2017, 12:30 PM
mat added a subscriber: mat.
mat added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
2982 ↗(On Diff #34439)

remove space before :

2983 ↗(On Diff #34439)

add empty line before

2987 ↗(On Diff #34439)

add empty lines between steps.

2994 ↗(On Diff #34439)
​ <para>Log in using
This revision now requires changes to proceed.Oct 30 2017, 12:30 PM
remko added a subscriber: remko.Nov 1 2017, 6:44 AM
remko added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
2995 ↗(On Diff #34439)

Nope, we dont. We have a fake one called base, which is included in mk/web.site.mk PREHTML, but not in the entities. Might be something to investigate?

gonzo updated this revision to Diff 34622.Nov 1 2017, 7:31 PM

Style fixes suggested by mat@

remko accepted this revision as: remko.Nov 2 2017, 12:56 PM

The &os;.org still looks a bit odd, but I can live with it. There are a few more places in the doc-tree that use this, so it might be a temporary workaround until we can fix this a bit better..

mat added inline comments.Nov 2 2017, 1:52 PM
en_US.ISO8859-1/articles/committers-guide/article.xml
2999 ↗(On Diff #34622)

There should be two spaces between the full stop at the end of a sentence and the first capital letter of the next.

gonzo updated this revision to Diff 34700.Nov 3 2017, 12:29 AM

Style fix: there should be two spaces between full stop and capital letter in next sentence

gonzo updated this revision to Diff 36225.Dec 5 2017, 7:08 AM

Refrase login step

gonzo marked an inline comment as done.Dec 5 2017, 7:10 AM
gonzo added a comment.Dec 18 2017, 9:22 PM

Ping. Any additional redactions required?

mat accepted this revision.Dec 21 2017, 11:05 AM
This revision is now accepted and ready to land.Dec 21 2017, 11:05 AM
This revision was automatically updated to reflect the committed changes.